Retrieve Parse
import requests
url = "https://platform.reducto.ai/job/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.reducto.ai/job/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.reducto.ai/job/{job_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": {
"job_id": "<string>",
"duration": 123,
"usage": {
"num_pages": 123,
"credits": 123,
"credit_breakdown": {},
"page_billing_breakdown": {},
"non_empty_cell_count": 123
},
"result": {
"type": "<string>",
"chunks": [
{
"content": "<string>",
"embed": "<string>",
"enriched": "<string>",
"blocks": [
{}
],
"enrichment_success": false
}
],
"ocr": {
"words": [
{
"text": "<string>",
"bbox": {
"left": 123,
"top": 123,
"width": 123,
"height": 123,
"page": 123,
"original_page": 123
},
"confidence": 123,
"chunk_index": 123,
"rotation": 123
}
],
"lines": [
{
"text": "<string>",
"bbox": {
"left": 123,
"top": 123,
"width": 123,
"height": 123,
"page": 123,
"original_page": 123
},
"confidence": 123,
"chunk_index": 123,
"rotation": 123
}
]
},
"custom": null
},
"response_type": "parse",
"pdf_url": "<string>",
"studio_link": "<string>"
},
"progress": 123,
"reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Job Management
Retrieve Job
GET
/
job
/
{job_id}
Retrieve Parse
import requests
url = "https://platform.reducto.ai/job/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.reducto.ai/job/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.reducto.ai/job/{job_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"result": {
"job_id": "<string>",
"duration": 123,
"usage": {
"num_pages": 123,
"credits": 123,
"credit_breakdown": {},
"page_billing_breakdown": {},
"non_empty_cell_count": 123
},
"result": {
"type": "<string>",
"chunks": [
{
"content": "<string>",
"embed": "<string>",
"enriched": "<string>",
"blocks": [
{}
],
"enrichment_success": false
}
],
"ocr": {
"words": [
{
"text": "<string>",
"bbox": {
"left": 123,
"top": 123,
"width": 123,
"height": 123,
"page": 123,
"original_page": 123
},
"confidence": 123,
"chunk_index": 123,
"rotation": 123
}
],
"lines": [
{
"text": "<string>",
"bbox": {
"left": 123,
"top": 123,
"width": 123,
"height": 123,
"page": 123,
"original_page": 123
},
"confidence": 123,
"chunk_index": 123,
"rotation": 123
}
]
},
"custom": null
},
"response_type": "parse",
"pdf_url": "<string>",
"studio_link": "<string>"
},
"progress": 123,
"reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Was this page helpful?
⌘I